### Cygnis Character Pack
---
An addon for Deathstrider that adds everyone's favorite Guncaster hero into tactical action gameplay. Contains Cygnis playerclass (wings, footsteps, purely offensive spell selection), his signature starting weapon Longhorn (high kickback, 20mm is stronger than .50 BMG but ammo is expensive), and his highly effective bare hands (complete with kick on altfire and firebreath on reload). More to come in the future maybe as this is a character *pack* - stay tuned.

### Melee notes
---
The bar is a combo meter, it fills as you time pressing fire after each punch during primary fire punching. The more full the combo meter is, the more damage every one of your melee attacks does. The next swing after hitting an enemy produces far more combo meter than hitting nothing. You can hold fire to repeatedly punch if you do not wish to time pressing fire but this will not fill the combo meter. Several melee attacks are marked as combo enders: these being uppercut (crouch and punch), any kick (you can roundhouse by pressing left/right during a kick), and firebreath (on reload). Using a combo ender completely depletes the combo meter but the damage multiplier for combo enders is much higher than normal punches. Time your attacks wisely and you'll become a force to be reckoned with.

### Final notes and credits
---
This character is not guaranteed to be balance tested, although I hope I'm getting there in my spare playtime. Most if not all bugs have been resolved - the only remaining issue is missing scratch decals on the melee weapon. If you like playing as Cygnis and find any other bugs or hilariously OP tricks that shouldn't be possible, feel free to leave an issue.
The repo contains a credits.txt but to sum up: all graphical work is basically Pillowblaster's, aside from some minor HUD elements. All sounds collected by Pillowblaster and labeled in the SNDINFO as best as possible. All melee attack animations and effects taken from Guncaster.pk3. Code credits to me, Zhs2 - I wrote the original ZScript code for Cygnis flight and ported it into the Cygnis playerclass, plus code for the Longhorn (save code borrowed from the Deathstrider Majestic, credits to Accensus) and Melee (save animations) to suit Deathstrider needs.